package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.collections.List _v6 = null;
public static anywheresoftware.b4a.objects.collections.List _v7 = null;
public static b4a.example.xmlread _v0 = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listview1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel2 = null;
public dominex.modularmenu.modularmenu _vvvv7 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext3 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext4 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext5 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview3 = null;
public b4a.example.setting _vvvv6 = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 37;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 38;BA.debugLine="ListaFull.Initialize()";
_v7.Initialize();
 //BA.debugLineNum = 39;BA.debugLine="xmlreadclass.Initialize()";
_v0._initialize(processBA);
 //BA.debugLineNum = 40;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 81;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_MENU Then Menu.keyMenuPress";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_MENU) { 
mostCurrent._vvvv7._keymenupress();};
 //BA.debugLineNum = 82;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then Return True";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
 //BA.debugLineNum = 83;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 76;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 78;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bmp = null;
int _i = 0;
String _s1 = "";
String _s2 = "";
String _s3 = "";
String _s4 = "";
String _s5 = "";
 //BA.debugLineNum = 42;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 43;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 //BA.debugLineNum = 44;BA.debugLine="Panel1.Width = 100%x";
mostCurrent._panel1.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA));
 //BA.debugLineNum = 45;BA.debugLine="Panel1.Height = 100%y";
mostCurrent._panel1.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 //BA.debugLineNum = 46;BA.debugLine="Setting.SettingLayoutPanel(Activity,Panel1)";
mostCurrent._vvvv6._v5(mostCurrent.activityBA,mostCurrent._activity,mostCurrent._panel1);
 //BA.debugLineNum = 47;BA.debugLine="Panel2.Width = 95%x";
mostCurrent._panel2.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(95),mostCurrent.activityBA));
 //BA.debugLineNum = 48;BA.debugLine="Panel2.Height = 95%y";
mostCurrent._panel2.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(95),mostCurrent.activityBA));
 //BA.debugLineNum = 49;BA.debugLine="Setting.SettingLayoutPanel(Activity,Panel2)";
mostCurrent._vvvv6._v5(mostCurrent.activityBA,mostCurrent._activity,mostCurrent._panel2);
 //BA.debugLineNum = 50;BA.debugLine="MenuMain(Activity)";
_vvvv0(mostCurrent._activity);
 //BA.debugLineNum = 52;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
 //BA.debugLineNum = 54;BA.debugLine="Dim bmp As Bitmap";
_bmp = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 55;BA.debugLine="bmp.Initialize(File.DirAssets,\"UserInformation.png\")";
_bmp.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"UserInformation.png");
 //BA.debugLineNum = 57;BA.debugLine="Try";
try { //BA.debugLineNum = 58;BA.debugLine="For i = 0 To xmlreadclass.xCategory.Size-1";
{
final double step37 = 1;
final double limit37 = (int)(_v0._vv5.getSize()-1);
for (_i = (int)(0); (step37 > 0 && _i <= limit37) || (step37 < 0 && _i >= limit37); _i += step37) {
 //BA.debugLineNum = 59;BA.debugLine="Dim s1,s2,s3,s4,s5 As String";
_s1 = "";
_s2 = "";
_s3 = "";
_s4 = "";
_s5 = "";
 //BA.debugLineNum = 60;BA.debugLine="s1 = xmlreadclass.xCategory.Get(i)";
_s1 = String.valueOf(_v0._vv5.Get(_i));
 //BA.debugLineNum = 61;BA.debugLine="s2 = xmlreadclass.xDenominazione.Get(i)";
_s2 = String.valueOf(_v0._vv6.Get(_i));
 //BA.debugLineNum = 62;BA.debugLine="s3 = xmlreadclass.xTelefono.Get(i)";
_s3 = String.valueOf(_v0._vvv5.Get(_i));
 //BA.debugLineNum = 63;BA.debugLine="s4 = xmlreadclass.xMail.Get(i)";
_s4 = String.valueOf(_v0._vvv6.Get(_i));
 //BA.debugLineNum = 64;BA.debugLine="s5 = xmlreadclass.xIndirizzo.Get(i)";
_s5 = String.valueOf(_v0._vv7.Get(_i));
 //BA.debugLineNum = 65;BA.debugLine="ListView1.AddTwoLinesAndBitmap(s1,s2,bmp)";
mostCurrent._listview1.AddTwoLinesAndBitmap(_s1,_s2,(android.graphics.Bitmap)(_bmp.getObject()));
 //BA.debugLineNum = 66;BA.debugLine="ListView1.TwoLinesLayout.Label.TextColor = Colors.Red";
mostCurrent._listview1.getTwoLinesLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 67;BA.debugLine="ListView1.TwoLinesLayout.Label.TextSize = 16";
mostCurrent._listview1.getTwoLinesLayout().Label.setTextSize((float)(16));
 //BA.debugLineNum = 68;BA.debugLine="ListaFull.Add(s1 & \"|\" & s2 & \"|\" & s3 & \"|\" & s4 & \"|\" & s5 )";
_v7.Add((Object)(_s1+"|"+_s2+"|"+_s3+"|"+_s4+"|"+_s5));
 }
};
 } 
       catch (Exception e50) {
			processBA.setLastException(e50); //BA.debugLineNum = 71;BA.debugLine="ToastMessageShow(\"Errore: il parse ha incontrato errori di lettura xml\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Errore: il parse ha incontrato errori di lettura xml",anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 74;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
 //BA.debugLineNum = 123;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 124;BA.debugLine="Panel2.visible = False";
mostCurrent._panel2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 125;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
String _s1 = "";
String _s2 = "";
String _s3 = "";
String _s4 = "";
String _s5 = "";
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bmp = null;
 //BA.debugLineNum = 127;BA.debugLine="Sub Button2_Click";
 //BA.debugLineNum = 129;BA.debugLine="If EditText1.Text = \"\" Then Return";
if ((mostCurrent._edittext1.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 130;BA.debugLine="If EditText2.Text = \"\" Then Return";
if ((mostCurrent._edittext2.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 131;BA.debugLine="If EditText3.Text = \"\" Then Return";
if ((mostCurrent._edittext3.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 132;BA.debugLine="If EditText4.Text = \"\" Then Return";
if ((mostCurrent._edittext4.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 133;BA.debugLine="If EditText5.Text = \"\" Then Return";
if ((mostCurrent._edittext5.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 135;BA.debugLine="Dim s1,s2,s3,s4,s5 As String";
_s1 = "";
_s2 = "";
_s3 = "";
_s4 = "";
_s5 = "";
 //BA.debugLineNum = 136;BA.debugLine="Dim bmp As Bitmap";
_bmp = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 138;BA.debugLine="bmp.Initialize(File.DirAssets,\"UserInformation.png\")";
_bmp.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"UserInformation.png");
 //BA.debugLineNum = 139;BA.debugLine="s1 = EditText1.text";
_s1 = mostCurrent._edittext1.getText();
 //BA.debugLineNum = 140;BA.debugLine="s2 = EditText2.text";
_s2 = mostCurrent._edittext2.getText();
 //BA.debugLineNum = 141;BA.debugLine="s3 = EditText3.text";
_s3 = mostCurrent._edittext3.getText();
 //BA.debugLineNum = 142;BA.debugLine="s4 = EditText4.text";
_s4 = mostCurrent._edittext4.getText();
 //BA.debugLineNum = 143;BA.debugLine="s5 = EditText5.text";
_s5 = mostCurrent._edittext5.getText();
 //BA.debugLineNum = 145;BA.debugLine="ListView1.AddTwoLinesAndBitmap(s1,s2,bmp)";
mostCurrent._listview1.AddTwoLinesAndBitmap(_s1,_s2,(android.graphics.Bitmap)(_bmp.getObject()));
 //BA.debugLineNum = 146;BA.debugLine="ListView1.TwoLinesLayout.Label.TextColor = Colors.Red";
mostCurrent._listview1.getTwoLinesLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 147;BA.debugLine="ListView1.TwoLinesLayout.Label.TextSize = 16";
mostCurrent._listview1.getTwoLinesLayout().Label.setTextSize((float)(16));
 //BA.debugLineNum = 148;BA.debugLine="ListaFull.add(s1 & \"|\" & s2 & \"|\" & s3 & \"|\" & s4 & \"|\" & s5 )";
_v7.Add((Object)(_s1+"|"+_s2+"|"+_s3+"|"+_s4+"|"+_s5));
 //BA.debugLineNum = 150;BA.debugLine="Panel2.visible = False";
mostCurrent._panel2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 151;BA.debugLine="Button2.enabled = False";
mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 152;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
setting._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 22;BA.debugLine="Dim ListView1 As ListView";
mostCurrent._listview1 = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim Panel2 As Panel";
mostCurrent._panel2 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim Menu As ModularMenu";
mostCurrent._vvvv7 = new dominex.modularmenu.modularmenu();
 //BA.debugLineNum = 26;BA.debugLine="Dim Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim Button2 As Button";
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim EditText2 As EditText";
mostCurrent._edittext2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim EditText3 As EditText";
mostCurrent._edittext3 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim EditText4 As EditText";
mostCurrent._edittext4 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim EditText5 As EditText";
mostCurrent._edittext5 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim ImageView1 As ImageView";
mostCurrent._imageview1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim ImageView3 As ImageView";
mostCurrent._imageview3 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 35;BA.debugLine="End Sub";
return "";
}
public static String  _imageview1_click() throws Exception{
anywheresoftware.b4a.phone.Phone.PhoneCalls _p = null;
 //BA.debugLineNum = 154;BA.debugLine="Sub ImageView1_Click";
 //BA.debugLineNum = 155;BA.debugLine="Dim p As PhoneCalls";
_p = new anywheresoftware.b4a.phone.Phone.PhoneCalls();
 //BA.debugLineNum = 156;BA.debugLine="StartActivity(p.Call(EditText3.Text))";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(_p.Call(mostCurrent._edittext3.getText())));
 //BA.debugLineNum = 157;BA.debugLine="End Sub";
return "";
}
public static String  _imageview2_click() throws Exception{
anywheresoftware.b4a.phone.PackageManagerWrapper _pm = null;
anywheresoftware.b4a.objects.IntentWrapper _i = null;
 //BA.debugLineNum = 159;BA.debugLine="Sub ImageView2_Click";
 //BA.debugLineNum = 160;BA.debugLine="Dim pm As PackageManager";
_pm = new anywheresoftware.b4a.phone.PackageManagerWrapper();
 //BA.debugLineNum = 161;BA.debugLine="Dim i As Intent";
_i = new anywheresoftware.b4a.objects.IntentWrapper();
 //BA.debugLineNum = 162;BA.debugLine="i = pm.GetApplicationIntent(\"com.google.android.gm\")";
_i = _pm.GetApplicationIntent("com.google.android.gm");
 //BA.debugLineNum = 163;BA.debugLine="StartActivity(i)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(_i.getObject()));
 //BA.debugLineNum = 164;BA.debugLine="ToastMessageShow(\"GMail\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("GMail",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 165;BA.debugLine="End Sub";
return "";
}
public static String  _imageview3_click() throws Exception{
String _luogo = "";
String _uri = "";
anywheresoftware.b4a.objects.IntentWrapper _intent1 = null;
 //BA.debugLineNum = 167;BA.debugLine="Sub ImageView3_Click";
 //BA.debugLineNum = 168;BA.debugLine="Dim luogo As String";
_luogo = "";
 //BA.debugLineNum = 169;BA.debugLine="luogo = EditText5.text";
_luogo = mostCurrent._edittext5.getText();
 //BA.debugLineNum = 170;BA.debugLine="Dim Uri As String";
_uri = "";
 //BA.debugLineNum = 171;BA.debugLine="Uri=\"https://maps.google.it/maps?q=\" & luogo & \"&hl=it&t=h&z=16\"";
_uri = "https://maps.google.it/maps?q="+_luogo+"&hl=it&t=h&z=16";
 //BA.debugLineNum = 172;BA.debugLine="Dim Intent1 As Intent";
_intent1 = new anywheresoftware.b4a.objects.IntentWrapper();
 //BA.debugLineNum = 173;BA.debugLine="Intent1.Initialize(Intent1.ACTION_VIEW, Uri)";
_intent1.Initialize(_intent1.ACTION_VIEW,_uri);
 //BA.debugLineNum = 174;BA.debugLine="Intent1.SetComponent(\"Internt\")";
_intent1.SetComponent("Internt");
 //BA.debugLineNum = 175;BA.debugLine="StartActivity(Intent1)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(_intent1.getObject()));
 //BA.debugLineNum = 176;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemclick(int _position,Object _value) throws Exception{
String[] _result = null;
 //BA.debugLineNum = 94;BA.debugLine="Sub ListView1_ItemClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 95;BA.debugLine="Panel2.visible = True";
mostCurrent._panel2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 96;BA.debugLine="Dim Result() As String";
_result = new String[(int)(0)];
java.util.Arrays.fill(_result,"");
 //BA.debugLineNum = 97;BA.debugLine="Result = Regex.Split(\"\\|\",ListaFull.Get(Position))";
_result = anywheresoftware.b4a.keywords.Common.Regex.Split("\\|",String.valueOf(_v7.Get(_position)));
 //BA.debugLineNum = 98;BA.debugLine="EditText1.text = Result(0)";
mostCurrent._edittext1.setText((Object)(_result[(int)(0)]));
 //BA.debugLineNum = 99;BA.debugLine="EditText2.text = Result(1)";
mostCurrent._edittext2.setText((Object)(_result[(int)(1)]));
 //BA.debugLineNum = 100;BA.debugLine="EditText3.text = Result(2)";
mostCurrent._edittext3.setText((Object)(_result[(int)(2)]));
 //BA.debugLineNum = 101;BA.debugLine="EditText4.text = Result(3)";
mostCurrent._edittext4.setText((Object)(_result[(int)(3)]));
 //BA.debugLineNum = 102;BA.debugLine="EditText5.text = Result(4)";
mostCurrent._edittext5.setText((Object)(_result[(int)(4)]));
 //BA.debugLineNum = 103;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemlongclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 105;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 106;BA.debugLine="ListaFull.RemoveAt(Position)";
_v7.RemoveAt(_position);
 //BA.debugLineNum = 107;BA.debugLine="ListView1.RemoveAt(Position)";
mostCurrent._listview1.RemoveAt(_position);
 //BA.debugLineNum = 108;BA.debugLine="End Sub";
return "";
}
public static String  _vvvv0(anywheresoftware.b4a.objects.ActivityWrapper _act) throws Exception{
 //BA.debugLineNum = 85;BA.debugLine="Sub MenuMain(act As Activity)";
 //BA.debugLineNum = 86;BA.debugLine="Menu.Initialize(5,43dip,act,Me)";
mostCurrent._vvvv7._initialize(mostCurrent.activityBA,(int)(5),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(43)),_act,main.getObject());
 //BA.debugLineNum = 87;BA.debugLine="Menu.AddMenuItem(\"Nuovo Developer\",Null,\"New\")";
mostCurrent._vvvv7._addmenuitem("Nuovo Developer",(anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper(), (android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null)),"New");
 //BA.debugLineNum = 88;BA.debugLine="Menu.AddMenuItem(\"Aggiorna lista\",Null,\"Setting\")";
mostCurrent._vvvv7._addmenuitem("Aggiorna lista",(anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper(), (android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null)),"Setting");
 //BA.debugLineNum = 89;BA.debugLine="Menu.AddMenuItem(\"Chiudi\",Null,\"Quit\")";
mostCurrent._vvvv7._addmenuitem("Chiudi",(anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper(), (android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null)),"Quit");
 //BA.debugLineNum = 90;BA.debugLine="MenuItem.Initialize";
_v6.Initialize();
 //BA.debugLineNum = 91;BA.debugLine="MenuItem.AddAll(Menu.SaveItem)";
_v6.AddAll(mostCurrent._vvvv7._saveitem());
 //BA.debugLineNum = 92;BA.debugLine="End Sub";
return "";
}
public static String  _new_click() throws Exception{
 //BA.debugLineNum = 110;BA.debugLine="Sub New_Click";
 //BA.debugLineNum = 111;BA.debugLine="Panel2.visible = True";
mostCurrent._panel2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 112;BA.debugLine="Button2.Enabled = True";
mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 113;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Dim MenuItem As List";
_v6 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 17;BA.debugLine="Dim ListaFull As List";
_v7 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 18;BA.debugLine="Dim xmlreadclass As XmlRead";
_v0 = new b4a.example.xmlread();
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
public static String  _quit_click() throws Exception{
 //BA.debugLineNum = 119;BA.debugLine="Sub Quit_Click";
 //BA.debugLineNum = 120;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 121;BA.debugLine="End Sub";
return "";
}
public static String  _setting_click() throws Exception{
 //BA.debugLineNum = 115;BA.debugLine="Sub Setting_Click";
 //BA.debugLineNum = 116;BA.debugLine="ToastMessageShow(\"Messaggio: per aggiornare la lista basta riavviare app stessa\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Messaggio: per aggiornare la lista basta riavviare app stessa",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 117;BA.debugLine="End Sub";
return "";
}
}
